GET Assets/ByLastModifiedDate?assetTypeId={assetTypeId}&beginDate={beginDate}&endDate={endDate}
Retrieves assets for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetTypeId |
Id of the asset type |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the assets to retrieve |
date |
None. |
| endDate |
Ending last modified date of the assets to retrieve |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
On success, a list of assets.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Asset |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AssetId": "6c722e2e-7ac7-4c16-bdfc-55289ef376d7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "ac6199a8-db42-49b0-8e7a-52e796a1b233",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "52bd8988-ce97-42fe-86fd-a3ba213b3370",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "08972021-da7e-464e-bb96-6568d2d49c71",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"MeasurementValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5280b5fe-8ccc-4b38-91ab-c1dcb682dd9d",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"MeasurementValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "c80f1092-7d3e-46f5-9e3b-dedaa51d5204",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 8"
},
{
"AssetId": "6c722e2e-7ac7-4c16-bdfc-55289ef376d7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "ac6199a8-db42-49b0-8e7a-52e796a1b233",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "52bd8988-ce97-42fe-86fd-a3ba213b3370",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "08972021-da7e-464e-bb96-6568d2d49c71",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"MeasurementValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "5280b5fe-8ccc-4b38-91ab-c1dcb682dd9d",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"MeasurementValueNeededDate": "2026-07-23T06:47:08.4153969-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "c80f1092-7d3e-46f5-9e3b-dedaa51d5204",
"CreateDate": "2026-07-23T06:47:08.4153969-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-07-23T06:47:08.4153969-07:00",
"LastModifiedUser": "sample string 8"
}
],
"Total": 1,
"Message": "sample string 1"
}